unit uViewConfiguracionDocCocina;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewConfiguracionBase, cxControls, cxContainer, cxEdit, cxTextEdit, cxMemo,
  cxRichEdit, uViewBase, JvExControls, JvGradientHeaderPanel, StdCtrls, ExtCtrls,
  ComCtrls, uCustomView, uViewDetallesBase, uViewDetallesDTO,
  uViewDetallesArticulos, uViewConfiguracionCapitulo;

type
  TfrViewConfiguracionDocCocina = class(TfrViewConfiguracionBase)
    Paginas: TPageControl;
    pagNotas: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    ePlazosEntrega: TMemo;
    eFormaPago: TMemo;
    eObservaciones: TMemo;
    pagCapitulo: TTabSheet;
    frViewConfiguracionCapitulo: TfrViewConfiguracionCapitulo;
    pagCondiciones: TTabSheet;
    eCondiciones: TcxRichEdit;
    pagCalidades: TTabSheet;
    eCalidades: TcxRichEdit;
  public
    class function GetViewClass : TClass; override;
    class function DarEtiqueta : String; override;
    procedure CargarValores; override;
    procedure GuardarValores; override;
  end;

implementation
{$R *.dfm}
{ TfrViewConfiguracionDocCocina }

uses uFactuGES_App, uConfiguracionController, uPresupuestosClienteController,
uBizDetallesPresupuestoCliente, uDetallesPresupuestoClienteController;

procedure TfrViewConfiguracionDocCocina.CargarValores;
begin
  inherited;
  eFormaPago.Lines.Clear;
  eFormaPago.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_FORMA_PAGO_COCINA);
  ePlazosEntrega.Lines.Clear;
  ePlazosEntrega.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_PLAZOS_ENTREGA_COCINA);
  eObservaciones.Lines.Clear;
  eObservaciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_OBSERVACIONES_COCINA);

  eCalidades.Lines.Clear;
  eCalidades.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CALIDADES_COCINA);

  eCondiciones.Lines.Clear;
  eCondiciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CONDICIONES_COCINA);

  frViewConfiguracionCapitulo.Controller := TDetallesPresupuestoClienteController.Create;
  frViewConfiguracionCapitulo.Detalles := (frViewConfiguracionCapitulo.Controller as IDetallesPresupuestoClienteController).BuscarCapitulo(TIPO_CAPITULO_C);
end;

class function TfrViewConfiguracionDocCocina.DarEtiqueta: String;
begin
  Result := 'Documentos cocina';
end;

class function TfrViewConfiguracionDocCocina.GetViewClass: TClass;
begin
  Result := TfrViewConfiguracionDocCocina;
end;

procedure TfrViewConfiguracionDocCocina.GuardarValores;
begin
  inherited;
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_FORMA_PAGO_COCINA, eFormaPago.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_PLAZOS_ENTREGA_COCINA, ePlazosEntrega.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_OBSERVACIONES_COCINA, eObservaciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CONDICIONES_COCINA, eCondiciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CALIDADES_COCINA, eCalidades.Text);  

  frViewConfiguracionCapitulo.Detalles.DataTable.ApplyUpdates;  
end;


end.
